diff -u -r1.3 say.c
--- say.c	23 Apr 2003 19:09:13 -0000	1.3
+++ say.c	13 Jul 2003 07:13:17 -0000
@@ -25,7 +25,16 @@
 	int num = 0;
 	int res = 0;
 	while(fn2[num] && !res) {
-		snprintf(fn, sizeof(fn), "digits/%c", fn2[num]);
+		switch (fn2[num]) {
+			case ('*'):
+				snprintf(fn, sizeof(fn), "digits/star");
+				break;
+			case ('#'):
+				snprintf(fn, sizeof(fn), "digits/pound");
+				break;
+			default:
+				snprintf(fn, sizeof(fn), "digits/%c", fn2[num]);
+			}
 		res = ast_streamfile(chan, fn, lang);
 		if (!res) 
 			res = ast_waitstream(chan, ints);
